Waiting for engine...
Skip to main content

Boomi Platform API Reference (1.0.0) - Changelistenerstatus

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Change listener status

You can use the changeListenerStatus operation to pause, resume, or restart listeners. You can change the status of a single listener or all listeners for a Runtime, Runtime cluster, or Runtime cloud.

Note: Use the Listener Status object to retrieve the status of listeners before or after performing this operation.

Required Privileges

You need these privileges in the target environment:

Write access

  • API — Use the Boomi Platform API to access account data.
  • ATOM_MANAGEMENT — Configure and administer integration runtimes.
  • user access to deployed environment and atom

Read access

  • N/A

Update listeners status

You can use the changeListenerStatus operation to pause, resume, or restart listeners. A successful changeListenerStatus call returns an empty changeListenerStatusResponse to indicate acceptance of the request.

Authorizations:
basicAuth
Request Body schema:
optional
action
string
Enum: "restart" "restart_all" "pause" "pause_all" "resume" "resume_all"

The action to be performed.

containerId
string

The ID of the Runtime, Runtime cluster, or Runtime cloud to which you deploy the listener or listeners.

listenerId
string

The ID of a single listener process whose status you want to change. To change the status of all listeners, omit this parameter.

Note: You can obtain the ID for a listener process by using a QUERY operation on the Process object.

Responses

Request samples

Content type
{
  • "listenerId": "44e26ba5-aaf5-4e97-bc85-3e1c50a52edd",
  • "containerId": "d96ff19e-855d-4fd3-856b-abe2795d0dc5",
  • "action": "pause"
}

Response samples

Content type
{
  • "message": "Access denied due to insufficient permissions."
}